> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vitau.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Products



## OpenAPI

````yaml GET /api/products/
openapi: 3.0.0
info:
  title: Vitau API
  x-logo:
    url: https://vitau-logos.s3.us-west-1.amazonaws.com/profile-logo.png
    backgroundColor: '#FFFFFF'
  version: v2
servers:
  - url: https://api-v2.vitau.mx/
security:
  - APIKeyAuth: []
  - JWTAuth: []
  - CookieAuth: []
paths:
  /api/products/:
    parameters: []
    get:
      tags:
        - api
      operationId: api_products_list
      parameters:
        - name: search
          in: query
          description: A search term.
          required: false
          schema:
            type: string
        - name: ordering
          in: query
          description: Which field to use when ordering the results.
          required: false
          schema:
            type: string
        - name: base__diseases
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: base__category
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: base__pharmaceutical_company
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: batches__store
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: current_supplier
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: is_active
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: has_shortage
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: min_price
          in: query
          description: ''
          required: false
          schema:
            type: number
        - name: max_price
          in: query
          description: ''
          required: false
          schema:
            type: number
        - name: id__in
          in: query
          description: Múltiples valores separados por comas.
          required: false
          schema:
            type: number
        - name: ean_key__in
          in: query
          description: Múltiples valores separados por comas.
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: A page number within the paginated result set.
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          description: Number of results to return per page.
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - count
                  - results
                type: object
                properties:
                  count:
                    type: integer
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductReadList'
components:
  schemas:
    ProductReadList:
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        presentation:
          title: Presentation
          type: string
          readOnly: true
        base:
          $ref: '#/components/schemas/BaseProductReadListSerializer'
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        price:
          title: Price
          type: string
          format: decimal
        is_active:
          title: Is active
          type: boolean
        has_shortage:
          title: Has shortage
          type: boolean
        ean_key:
          title: Ean field
          type: string
          maxLength: 50
          nullable: true
        default_image:
          title: Image
          type: string
          readOnly: true
          format: uri
          nullable: true
        name_slug:
          title: Name Slug
          type: string
          nullable: true
    BaseProductReadListSerializer:
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        name:
          title: Nombre
          type: string
          nullable: true
        pharmaceutical_company:
          title: Pharmaceutical Company
          type: string
          readOnly: true
        category:
          title: Category
          type: string
          readOnly: true
        tags:
          $ref: '#/components/schemas/Tag'
        medical_information:
          $ref: '#/components/schemas/MedicalInformation'
    Tag:
      required:
        - name
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        name:
          title: Nombre
          type: string
          maxLength: 250
          minLength: 1
    MedicalInformation:
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        active_ingredient:
          title: Active ingredient
          type: string
          maxLength: 250
        is_generic:
          title: Is generic
          type: boolean
        group_number:
          title: Group number
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        requires_prescription:
          title: Requires prescription
          type: boolean
        base_product:
          title: Medical information for base product
          type: integer
          readOnly: true
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    JWTAuth:
      type: apiKey
      in: header
      name: Bearer
    CookieAuth:
      type: apiKey
      in: header
      name: sessionid

````